import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.Timer;

public class Triangles extends Applet {

	public void init() {
		setBackground(Color.orange.darker());
        timer = new Timer(DELAY, new TriangleActionListener());
        timer.start();
	}

	public void paint(Graphics g) {
		t = new ATriangle();
		t.draw(g);
	}

    private class TriangleActionListener implements ActionListener {
        public void actionPerformed(ActionEvent event) {
			t.bigger();
            repaint();
        }
    }

	ATriangle t;
    private Timer timer;
    private final int DELAY = 500;

}

class ATriangle {
	
	ATriangle() {
	}
	
	public void draw(Graphics g) {
		g.setColor(Color.blue);
		Polygon p = new Polygon();
		p.addPoint(xCenter-nDelta, yCenter+nDelta);
		p.addPoint(xCenter+nDelta, yCenter+nDelta);
		p.addPoint(xCenter, yCenter-nDelta);
		// p.addPoint(xCenter-nDelta, yCenter-nDelta);
		// p.addPoint(xCenter+nDelta, yCenter-nDelta);
		g.fillPolygon(p);
		g.setColor(Color.black);
		g.drawPolygon(p);
	}

	public void bigger() {
		nDelta += 10;
		if (nDelta > 100)
			nDelta = 10;
	}

	private static int nDelta = 10;  // the displacement...
	private int xCenter = 200;
	private int yCenter = 200;
}
